Package org.eclipse.birt.core.ui.frameworks.taskwizard

# Class TaskRegistrationEntry

java.lang.Object
org.eclipse.birt.core.ui.frameworks.taskwizard.TaskRegistrationEntry

public class TaskRegistrationEntry extends Object

## Constructor Summary

Constructors
Constructor
Description
`TaskRegistrationEntry(String taskID, ITask classDefinition, int priority)`

## Method Summary

Modifier and Type
Method
Description
`ITask`
`getClassDefinition()`
`int`
`getPriority()`
`String`
`getTaskID()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TaskRegistrationEntry

public TaskRegistrationEntry(String taskID, ITask classDefinition, int priority)

## Method Details

### getTaskID

public String getTaskID()

### getClassDefinition

public ITask getClassDefinition()

### getPriority

public int getPriority()